Imports System.Runtime.Serialization
Imports DigitalData.Modules.Language
Imports DigitalData.Modules.EDMI.API.Rights

Namespace Messages
    <DataContract>
    <Serializable>
    Public Class AccessRightResult
        Inherits BaseResponse

        <DataMember>
        Public Property Right As AccessRight = AccessRight.VIEW_ONLY

        Public Sub New(AccessRight As AccessRight)
            MyBase.New()
            Right = AccessRight
        End Sub

        Public Sub New(Exception As Exception)
            MyBase.New()
            OK = False
            ErrorMessage = Exception.Message
        End Sub
    End Class

End Namespace